Clusters
List workloads
Scope: cluster:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...
In: header
Path Parameters
cluster_id*cluster_id
The cluster whose workloads to list (UUID).
Format
uuidQuery Parameters
filter?filter
Filter expression to narrow results. Uses the Admiral filter DSL.
Filterable fields:
namespace-- filter by Kubernetes namespace.kind-- filter by workload kind (Deployment, StatefulSet, DaemonSet).name-- filter by workload name.health_status-- filter by workload health status.
Example: field['namespace'] = 'production' AND field['health_status'] = 'DEGRADED'
Length
length <= 1024page_size?page_size
Maximum number of workloads to return per page.
Format
int32Range
0 <= value <= 100page_token?page_token
Opaque pagination token from a previous response.
Response Body
application/json
curl -X GET "https://admiral.example.com/api/v1/clusters/497f6eca-6276-4993-bfeb-53cbbbba6f08/workloads"{ "workloads": [ { "id": "string", "cluster_id": "string", "namespace": "string", "name": "string", "kind": "string", "labels": { "property1": "string", "property2": "string" }, "health_status": "WORKLOAD_HEALTH_STATUS_UNSPECIFIED", "status_reason": "string", "replicas_desired": 0, "replicas_ready": 0, "replicas_available": 0, "cpu_requests_millicores": 0, "cpu_limits_millicores": 0, "cpu_used_millicores": 0, "memory_requests_bytes": 0, "memory_limits_bytes": 0, "memory_used_bytes": 0, "containers": [ { "name": "string", "image": "string", "restart_count": 0, "state": "string", "ready": true } ], "last_updated_at": "2023-01-15T01:30:15.01Z" } ], "next_page_token": "string"}